> For the complete documentation index, see [llms.txt](https://docs.ante.finance/ante/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ante.finance/ante/v05/for-devs/writing-an-ante-test/development-faqs.md).

# Development FAQs

**Q: If I’m writing an Ante Test and I want to call a function from another contract with a non-standard interface (i.e. not an ERC20 token, etc), what is the best way to do so?**

**A:** If the project has an npm package you can import directly from there via `@project/path/to/contract`; otherwise, you can copy the interface file into your repo and import or even just paste it in the source code of your Ante Test if you don't think it'll be used elsewhere. If desired, you can define a minimal interface for just the functions you need, but in practice, people prefer importing the entire interface.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ante.finance/ante/v05/for-devs/writing-an-ante-test/development-faqs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
